Bug 197590 - dns/powerdns-recursor: Update to 3.7.1, Take MAINTAINER'ship
Summary: dns/powerdns-recursor: Update to 3.7.1, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-13 09:31 UTC by Ralf van der Enden
Modified: 2015-02-23 23:23 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
powerdns-recursor-3.7.1.log (38.90 KB, text/plain)
2015-02-15 08:31 UTC, Ralf van der Enden
no flags Details
Patch to update dns/powerdns-recursor to 3.7.1 (7.90 KB, patch)
2015-02-15 08:31 UTC, Ralf van der Enden
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2015-02-13 09:31:54 UTC
The maintainer for this port has asked me to take over maintainership and I agreed, since I also handle dns/powerdns.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-13 09:31:54 UTC
Maintainer CC'd
Comment 2 sten 2015-02-13 11:52:42 UTC
I would like to hand over maintenance to Ralph,
he has handled maintenance for the last few releases and does a great job.

Thanks.
Comment 3 Ralf van der Enden 2015-02-15 08:31:09 UTC
Created attachment 152997 [details]
powerdns-recursor-3.7.1.log
Comment 4 Ralf van der Enden 2015-02-15 08:31:41 UTC
Created attachment 152998 [details]
Patch to update dns/powerdns-recursor to 3.7.1
Comment 5 Ralf van der Enden 2015-02-15 08:35:37 UTC
Update to PowerDNS Recursor 3.7.1

"This version contains a mix of speedups and improvements, the combined effect of which is vastly improved resilience against traffic spikes and malicious query overloads."

Changelog: https://doc.powerdns.com/md/changelog/#powerdns-recursor-371

Added a last-minute patch required to fix the recursor on BSD's, which didn't make it into 3.7.1
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-16 01:57:24 UTC
Maintainer has approved the maintainer change but not the update (patch)

Sten, please approve (set maintainer-approval) attachment 152998 [details], or provide alternative instructions.
Comment 7 sten 2015-02-16 09:43:33 UTC
The patch to version 3.7.1 looks good to me too.
Comment 8 commit-hook freebsd_committer 2015-02-23 23:20:26 UTC
A commit references this bug:

Author: robak
Date: Mon Feb 23 23:20:04 UTC 2015
New revision: 379715
URL: https://svnweb.freebsd.org/changeset/ports/379715

Log:
  dns/powerdns-recursor: update 3.6.2 -> 3.7.1

  - Change MAINTAINER to tremere@cainites.net (maintainer approved)
  - Delete obsolete patches
  - Strip MASTER_SITES

  PR:		197590
  Submitted by:	Ralf van der Enden <tremere@cainites.net>

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-makefile
  head/dns/powerdns-recursor/files/patch-manpages
  head/dns/powerdns-recursor/files/patch-sendmsg_fix
  head/dns/powerdns-recursor/pkg-plist
Comment 9 Bartek Rutkowski freebsd_committer 2015-02-23 23:23:23 UTC
Committed, thanks for your work and for volunteering to take care of that port!

Sten, thank you for your work so far!